  
/*  Blink

  Turns an LED on for one second, then off for one second, repeatedly.

  the correct LED pin independent of which board is used.+
  If you want to know what pin the on-board LED is connected to on your Arduino
  model, check the Technical Specs of your board at:
  https://www.arduino.cc/en/Main/Products

  modified 8 May 2014
  by Scott Fitzgerald
  modified 2 Sep 2016

  This example code is in the public domain.

  https://www.arduino.cc/en/Tutorial/BuiltInExamples/Blink
*/

//#include "soc/soc.h"
//#include "soc/rtc_cntl_reg.h"


// the loop function runs over and over again forever

void setup() {
  // P204 -> PORT 2, PIN 4   P004 -> PORT 0, PIN 4
  R_IOPORT_PinCfg(NULL, BSP_IO_PORT_02_PIN_04, IOPORT_CFG_PORT_DIRECTION_OUTPUT);
  R_IOPORT_PinCfg(NULL, BSP_IO_PORT_00_PIN_03, IOPORT_CFG_PORT_DIRECTION_OUTPUT);
  R_IOPORT_PinCfg(NULL, BSP_IO_PORT_00_PIN_04, IOPORT_CFG_PORT_DIRECTION_OUTPUT);
  pinMode(LED_BUILTIN, OUTPUT);
}

void loop() {
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_02_PIN_04, BSP_IO_LEVEL_HIGH);
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_00_PIN_03, BSP_IO_LEVEL_HIGH);
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_00_PIN_04, BSP_IO_LEVEL_HIGH);
  digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(500);
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_02_PIN_04, BSP_IO_LEVEL_LOW);
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_00_PIN_03, BSP_IO_LEVEL_LOW);
  R_IOPORT_PinWrite(NULL, BSP_IO_PORT_00_PIN_04, BSP_IO_LEVEL_LOW);
  digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW
  delay(500);
}

